import React from "react";
declare enum TimestampStyle {
    ShortTime = "t",
    LongTime = "T",
    ShortDate = "d",
    LongDate = "D",
    ShortDateTime = "f",
    LongDateTime = "F",
    RelativeTime = "R"
}
interface Props {
    data: {
        timestamp: `${number}`;
        style?: TimestampStyle;
    };
}
export declare const Timestamp: React.FC<Props>;
export {};
