/// <reference types="react" />
export declare const Link: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLAnchorElement> & import("react").AnchorHTMLAttributes<HTMLAnchorElement> & {
    stitchesProps?: {
        as?: import("../../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").AnchorHTMLAttributes<HTMLAnchorElement>> & import("react").RefAttributes<"a">>;
export declare const QuoteContainer: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const QuoteBar: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & {
    stitchesProps?: {
        as?: import("../../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement>> & import("react").RefAttributes<"div">>;
export declare const Quote: import("react").ForwardRefExoticComponent<Pick<import("react").ClassAttributes<HTMLQuoteElement> & import("react").BlockquoteHTMLAttributes<HTMLQuoteElement> & {
    stitchesProps?: {
        as?: import("../../../Stitches/OverridableStyledComponent").Element;
    } & import("@stitches/react/types/styled-component").TransformProps<{}, {}> & {
        css?: import("@stitches/react/types/css-util").CSS<{}, {
            colors: {
                primaryOpacity10: string;
                primaryOpacity20: string;
                primaryOpacity30: string;
                primaryOpacity50: string;
                primaryOpacity60: string;
                primaryOpacity80: string;
                primaryOpacity100: string;
                primaryDark: string;
                systemMessageDark: string;
                textMuted: string;
                interactiveNormal: string;
                accent: string;
                background: string;
                backgroundSecondary: string;
                backgroundTertiary: string;
                messageHover: string;
                link: string;
                mentioned: string;
                mentionedHover: string;
                mentionedBorder: string;
                tooltipBackground: string;
                tooltipForeground: string;
                transparentBlack: string;
                blackSpoilerHover: string;
                spines: string;
                attachmentBorder: string;
                danger: string;
            };
            fonts: {
                main: string;
            };
            fontSizes: {
                xs: string;
                s: string;
                m: string;
                l: string;
            };
            space: {
                xxs: string;
                xs: string;
                small: string;
                medium: string;
                large: string;
                xl: string;
                xxl: string;
            };
            sizes: {
                messageLeftPadding: string;
                threadButton: string;
                messageTypeIcon: string;
            };
            borderWidths: {
                spines: string;
            };
        }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
    } & {
        [x: string]: any;
        [x: number]: any;
    };
}, "stitchesProps" | "key" | keyof import("react").BlockquoteHTMLAttributes<HTMLQuoteElement>> & import("react").RefAttributes<"blockquote">>;
export { default as Highlighter } from "./code/loader";
export { Channel, Mention, Role } from "./mentions";
