import React from "react";
export type EmojiProps = {
    resolveNames?: boolean;
    disableTooltip?: boolean;
    emojiName: string;
    enlarged?: boolean;
} & React.ComponentPropsWithRef<"img">;
declare function Emoji({ src, disableTooltip, resolveNames, emojiName, enlarged, ...props }: EmojiProps): string | JSX.Element;
export declare const Twemoji: React.ForwardRefExoticComponent<Pick<any, string | number | symbol> & React.RefAttributes<import("../Stitches/OverridableStyledComponent").Element>>;
export default Emoji;
