import { PureComponent } from "react";
import { APIMessage } from "discord-api-types/v10";
interface MessageAuthorProps {
    author: APIMessage["author"];
    avatarAnimated?: boolean;
    onlyShowUsername?: boolean;
    crosspost?: boolean;
    referenceGuild?: string;
}
declare class MessageAuthor extends PureComponent<MessageAuthorProps> {
    private convertColor;
    private getDominantRoleColor;
    private getDominantRoleIconRole;
    render(): JSX.Element;
}
export default MessageAuthor;
