import { ReactNode } from "react";
import { Svg } from "@root/core/SvgContext";
type MessageRendererProviderProps = {
    children: ({ themeClass }: {
        themeClass: string;
    }) => ReactNode;
    svgUrls?: {
        [svg in Svg]?: string;
    };
};
declare function MessageRendererProvider({ children, svgUrls, }: MessageRendererProviderProps): JSX.Element;
export default MessageRendererProvider;
